Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.client
Class TCPIPClientGeneralInfo

    java.lang.Object
      com.stc.connector.tcpip.model.client.TCPIPClientGeneralInfo

All Implemented Interfaces:
  TCPIPClientGeneralInfoInterface

    public class TCPIPClientGeneralInfo

extends java.lang.Object
implements TCPIPClientGeneralInfoInterface

This class represents general TCPIP client configuration information.

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2008/04/10 06:19:40 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPClientGeneralInfo()` Constructor for TCPIPClientGeneralInfo.
`TCPIPClientGeneralInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for TCPIPClientGeneralInfo.

Method Summary
`com.stc.connector.framework.util.ConfigurationHelper` | `getInitPropertiesInfo()` Returns the initial configuration.
`int` | `getMaxDataSize()` Returns the maxDataSize.
`java.lang.String` | `getPersistenceStateFileLocation()`
`java.lang.String` | `getScopeOfState()`
`boolean` | `isCollaborationScopeOfState()`
`boolean` | `isConnectionScopeOfState()`
`boolean` | `isOtdScopeOfState()`
`boolean` | `isPersistenceScopeOfState()`
`boolean` | `isResourceAdapterScopeOfState()`
`void` | `setMaxDataSize(int maxDataSize)` Sets the maxDataSize.
`void` | `setPersistenceStateFileLocation(java.lang.String string)`
`void` | `setScopeOfState(java.lang.String string)`
`void` | `validate()` Validates the socket configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPClientGeneralInfo

    public TCPIPClientGeneralInfo()
                           throws TCPIPApplicationException

  Constructor for TCPIPClientGeneralInfo.

  Throws:
    `TCPIPApplicationException` - on error.

### TCPIPClientGeneralInfo

    public TCPIPClientGeneralInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                           throws TCPIPApplicationException

  Constructor for TCPIPClientGeneralInfo.

  Parameters:
    `aConfiguration` - The initial properties into.
  Throws:
    `TCPIPApplicationException` - on error.

Method Detail

### getInitPropertiesInfo

    public com.stc.connector.framework.util.ConfigurationHelper getInitPropertiesInfo()

  Returns the initial configuration.

  Returns:
    ConfigurationHelper

### getMaxDataSize

    public int getMaxDataSize()

  Returns the maxDataSize. This size defines the max size of data which the programs can hold internally. The valid range is from 1 to 2GB (the max value of java integer).

  Specified by:
    `getMaxDataSize` in interface `TCPIPClientGeneralInfoInterface`
  Returns:
    int

### setMaxDataSize

    public void setMaxDataSize(int maxDataSize)
                        throws TCPIPApplicationException

  Sets the maxDataSize. This size defines the max size of data which the programs can hold internally. The valid range is from 1 to 2GB (the max value of java integer).

  Specified by:
    `setMaxDataSize` in interface `TCPIPClientGeneralInfoInterface`
  Parameters:
    `maxDataSize` - The maxDataSize to set
  Throws:
    `TCPIPApplicationException` - on error

### isPersistenceScopeOfState

    public boolean isPersistenceScopeOfState()

  Specified by:
    `isPersistenceScopeOfState` in interface `TCPIPClientGeneralInfoInterface`
  Returns:

### isResourceAdapterScopeOfState

    public boolean isResourceAdapterScopeOfState()

  Specified by:
    `isResourceAdapterScopeOfState` in interface `TCPIPClientGeneralInfoInterface`
  Returns:

### isConnectionScopeOfState

    public boolean isConnectionScopeOfState()

  Specified by:
    `isConnectionScopeOfState` in interface `TCPIPClientGeneralInfoInterface`
  Returns:

### isCollaborationScopeOfState

    public boolean isCollaborationScopeOfState()

  Specified by:
    `isCollaborationScopeOfState` in interface `TCPIPClientGeneralInfoInterface`
  Returns:

### isOtdScopeOfState

    public boolean isOtdScopeOfState()

  Specified by:
    `isOtdScopeOfState` in interface `TCPIPClientGeneralInfoInterface`
  Returns:

### getScopeOfState

    public java.lang.String getScopeOfState()

  Specified by:
    `getScopeOfState` in interface `TCPIPClientGeneralInfoInterface`
  Returns:

### setScopeOfState

    public void setScopeOfState(java.lang.String string)
                         throws TCPIPApplicationException

  Parameters:
    `string` -
  Throws:
    `TCPIPApplicationException` - on error

### getPersistenceStateFileLocation

    public java.lang.String getPersistenceStateFileLocation()

  Returns:

### setPersistenceStateFileLocation

    public void setPersistenceStateFileLocation(java.lang.String string)

  Parameters:
    `string` -

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the socket configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD